<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>org.apache.commons.dbcp2.managed (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.commons.dbcp2.managed (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/dbcp2/datasources/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/managed/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.apache.commons.dbcp2.managed</h1>
<div class="docSummary">
<div class="block">
 This package provides support for pooling of ManagedConnections.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/dbcp2/managed/TransactionContextListener.html" title="interface in org.apache.commons.dbcp2.managed">TransactionContextListener</a></td>
<td class="colLast">
<div class="block">A listener for transaction completion events.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html" title="interface in org.apache.commons.dbcp2.managed">XAConnectionFactory</a></td>
<td class="colLast">
<div class="block">XAConnectionFactory is an extension of ConnectionFactory used to create connections in a transaction managed
 environment.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/dbcp2/managed/BasicManagedDataSource.html" title="class in org.apache.commons.dbcp2.managed">BasicManagedDataSource</a></td>
<td class="colLast">
<div class="block">
 BasicManagedDataSource is an extension of BasicDataSource which creates ManagedConnections.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/dbcp2/managed/DataSourceXAConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed">DataSourceXAConnectionFactory</a></td>
<td class="colLast">
<div class="block">An implementation of XAConnectionFactory which uses a real XADataSource to obtain connections and XAResources.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed">LocalXAConnectionFactory</a></td>
<td class="colLast">
<div class="block">An implementation of XAConnectionFactory which manages non-XA connections in XA transactions.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.LocalXAResource.html" title="class in org.apache.commons.dbcp2.managed">LocalXAConnectionFactory.LocalXAResource</a></td>
<td class="colLast">
<div class="block">LocalXAResource is a fake XAResource for non-XA connections.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/dbcp2/managed/ManagedConnection.html" title="class in org.apache.commons.dbcp2.managed">ManagedConnection</a>&lt;C extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&gt;</td>
<td class="colLast">
<div class="block">ManagedConnection is responsible for managing a database connection in a transactional environment (typically called
 "Container Managed").</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/dbcp2/managed/ManagedDataSource.html" title="class in org.apache.commons.dbcp2.managed">ManagedDataSource</a>&lt;C extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&gt;</td>
<td class="colLast">
<div class="block">The ManagedDataSource is a PoolingDataSource that creates ManagedConnections.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/dbcp2/managed/PoolableManagedConnection.html" title="class in org.apache.commons.dbcp2.managed">PoolableManagedConnection</a></td>
<td class="colLast">
<div class="block">PoolableConnection that unregisters from TransactionRegistry on Connection real destroy.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/dbcp2/managed/PoolableManagedConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed">PoolableManagedConnectionFactory</a></td>
<td class="colLast">
<div class="block">A <a href="../../../../../org/apache/commons/dbcp2/PoolableConnectionFactory.html" title="class in org.apache.commons.dbcp2"><code>PoolableConnectionFactory</code></a> that creates <a href="../../../../../org/apache/commons/dbcp2/managed/PoolableManagedConnection.html" title="class in org.apache.commons.dbcp2.managed"><code>PoolableManagedConnection</code></a>s.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/dbcp2/managed/TransactionContext.html" title="class in org.apache.commons.dbcp2.managed">TransactionContext</a></td>
<td class="colLast">
<div class="block">TransactionContext represents the association between a single XAConnectionFactory and a Transaction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></td>
<td class="colLast">
<div class="block">TransactionRegistry tracks Connections and XAResources in a transacted environment for a single XAConnectionFactory.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.apache.commons.dbcp2.managed Description">Package org.apache.commons.dbcp2.managed Description</h2>
<div class="block"><p>
 This package provides support for pooling of ManagedConnections. A managed
 connection is responsible for managing a database connection in a
 transactional environment (typically called <i>Container Managed</i>).
 A managed connection operates like any other connection when no global
 transaction (a.k.a. XA transaction or JTA Transaction) is in progress.
 When a global transaction is active a single physical connection to the
 database is used by all ManagedConnections accessed in the scope of the
 transaction. Connection sharing means that all data access during a
 transaction has a consistent view of the database. When the global
 transaction is committed or rolled back the enlisted connections are
 committed or rolled back.
 </p>

 <p>
 This package supports full XADataSources and non-XA data sources using
 local transaction semantics. non-XA data sources commit and rollback as
 part of the transaction but are not recoverable in the case of an error
 because they do not implement the two-phase commit protocol.
 </p></div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/dbcp2/datasources/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/managed/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
